// Unreal Fighting Engine by Kevin Poretti

#pragma once

#include "CoreMinimal.h"
#include "Components/ActorComponent.h"
#include "UnrealFightingEngine/IFESystemInterface.h"
#include "FEStateMachineComponent.generated.h"


UCLASS( ClassGroup=(Custom), meta=(BlueprintSpawnableComponent) )
class UNREALFIGHTINGENGINE_API UFEStateMachineComponent : public UActorComponent, public IIFESystemInterface
{
	GENERATED_BODY()

public:	
	// Sets default values for this component's properties
	UFEStateMachineComponent();

protected:
	// Called when the game starts
	virtual void BeginPlay() override;

public:
    virtual void FixedTick(float OneFrame) override;
};
